import request from '@/utils/request';

// 查询围栏基础信息列表
export function listFenceInfo(query) {
  return request({
    url: '/bd/fenceInfo/list',
    method: 'get',
    params: query
  })
}

// 查询围栏基础信息详细
export function getFenceInfo(id) {
  return request({
    url: '/bd/fenceInfo/' + id,
    method: 'get'
  })
}

// 新增围栏基础信息
export function addFenceInfo(data) {
  return request({
    url: '/bd/fenceInfo',
    method: 'post',
    data: data
  })
}

// 修改围栏基础信息
export function updateFenceInfo(data) {
  return request({
    url: '/bd/fenceInfo',
    method: 'put',
    data: data
  })
}

// 删除围栏基础信息
export function delFenceInfo(id) {
  return request({
    url: '/bd/fenceInfo/' + id,
    method: 'delete'
  })
}

export const pushDevcLocation = (params, config = {}) => {
  return request({
    url: 'https://www.lj-info.com:8090/bd-api/bd/devcTrailUwb/point',
    method: 'post',
    data: params,
  });
};
